<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":2,"i1":2,"i2":2,"i3":2,"i4":2,"i5":2,"i6":2,"i7":2,"i8":2,"i9":2,"i10":2,"i11":2,"i12":2,"i13":2,"i14":2,"i15":4,"i16":2,"i17":2,"i18":2,"i19":2,"i20":2,"i21":2,"i22":4,"i23":2,"i24":2,"i25":2,"i26":2,"i27":2,"i28":4,"i29":4,"i30":2,"i31":2,"i32":2,"i33":2,"i34":2,"i35":2,"i36":2,"i37":2,"i38":2,"i39":2,"i40":2,"i41":2,"i42":2,"i43":2,"i44":2,"i45":2,"i46":2,"i47":2};
var tabs = {65535:["t0","All Classes"],2:["t2","Class Summary"],4:["t3","Enum Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<div class="typeSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="typeSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Classes</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Class Summary</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="tableTab" onclick="show(4);">Enum Summary</button></div>
<div id="typeSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><a href="statistics/AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><a href="statistics/AssistanceData.html" title="class in statistics">AssistanceData</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><a href="statistics/AssistancePerson.html" title="class in statistics">AssistancePerson</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><a href="statistics/AssistanceReport.html" title="class in statistics">AssistanceReport</a></td>
<th class="colLast" scope="row">
<div class="block">Class for report the assistance statistics of the park</div>
</th>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><a href="statistics/AssistanceStatistics.html" title="class in statistics">AssistanceStatistics</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><a href="attractions/AtraccionesActivas.html" title="class in attractions">AtraccionesActivas</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><a href="attractions/Attraction.html" title="class in attractions">Attraction</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><a href="controller/AttractionController.html" title="class in controller">AttractionController</a></td>
<th class="colLast" scope="row">
<div class="block">Controller of actions with attractions</div>
</th>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><a href="attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><a href="attractions/AttractionTypeA.html" title="class in attractions">AttractionTypeA</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><a href="attractions/AttractionTypeB.html" title="class in attractions">AttractionTypeB</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><a href="attractions/AttractionTypeC.html" title="class in attractions">AttractionTypeC</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><a href="attractions/AttractionTypeD.html" title="class in attractions">AttractionTypeD</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><a href="attractions/AttractionTypeE.html" title="class in attractions">AttractionTypeE</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><a href="controller/Controller.html" title="class in controller">Controller</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><a href="ticket/DiscountEnum.html" title="enum in ticket">DiscountEnum</a></td>
<th class="colLast" scope="row">
<div class="block">List of possible discounts</div>
</th>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><a href="tools/Holiday.html" title="class in tools">Holiday</a></td>
<th class="colLast" scope="row">
<div class="block">Tools Library.</div>
</th>
</tr>
<tr class="rowColor" id="i17">
<td class="colFirst"><a href="tools/Menu.html" title="class in tools">Menu</a></td>
<th class="colLast" scope="row">
<div class="block">Tools Library.</div>
</th>
</tr>
<tr class="altColor" id="i18">
<td class="colFirst"><a href="tools/MenuItem.html" title="class in tools">MenuItem</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="rowColor" id="i19">
<td class="colFirst"><a href="Parque.html" title="class in &lt;Unnamed&gt;">Parque</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="altColor" id="i20">
<td class="colFirst"><a href="ticket/Person.html" title="class in ticket">Person</a></td>
<th class="colLast" scope="row">
<div class="block">Class to manage each one of the people of a ticket</div>
</th>
</tr>
<tr class="rowColor" id="i21">
<td class="colFirst"><a href="controller/PersonController.html" title="class in controller">PersonController</a></td>
<th class="colLast" scope="row">
<div class="block">Controller actions for an person ticket</div>
</th>
</tr>
<tr class="altColor" id="i22">
<td class="colFirst"><a href="ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></td>
<th class="colLast" scope="row">
<div class="block">List of types of groups that can be sold.</div>
</th>
</tr>
<tr class="rowColor" id="i23">
<td class="colFirst"><a href="statistics/RideAttraction.html" title="class in statistics">RideAttraction</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="altColor" id="i24">
<td class="colFirst"><a href="statistics/RideAttractionAnnual.html" title="class in statistics">RideAttractionAnnual</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="rowColor" id="i25">
<td class="colFirst"><a href="statistics/RideAttractionReport.html" title="class in statistics">RideAttractionReport</a></td>
<th class="colLast" scope="row">
<div class="block">Class for report the ride attraction statistics of the park</div>
</th>
</tr>
<tr class="altColor" id="i26">
<td class="colFirst"><a href="statistics/RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="rowColor" id="i27">
<td class="colFirst"><a href="ticket/Season.html" title="class in ticket">Season</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i28">
<td class="colFirst"><a href="ticket/SeasonEnum.html" title="enum in ticket">SeasonEnum</a></td>
<th class="colLast" scope="row">
<div class="block">List of possible seasons and the supplement variation</div>
</th>
</tr>
<tr class="rowColor" id="i29">
<td class="colFirst"><a href="ticket/SourceEnum.html" title="enum in ticket">SourceEnum</a></td>
<th class="colLast" scope="row">
<div class="block">List of possible origins of ticket sales</div>
</th>
</tr>
<tr class="altColor" id="i30">
<td class="colFirst"><a href="staff/Staff.html" title="class in staff">Staff</a></td>
<th class="colLast" scope="row">
<div class="block">Classe to calculate personnel costs for an attraction</div>
</th>
</tr>
<tr class="rowColor" id="i31">
<td class="colFirst"><a href="staff/StaffAssistantAttraction.html" title="class in staff">StaffAssistantAttraction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i32">
<td class="colFirst"><a href="staff/StaffBase.html" title="class in staff">StaffBase</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="rowColor" id="i33">
<td class="colFirst"><a href="staff/StaffCustomerSupport.html" title="class in staff">StaffCustomerSupport</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i34">
<td class="colFirst"><a href="staff/StaffManagerAttraction.html" title="class in staff">StaffManagerAttraction</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i35">
<td class="colFirst"><a href="staff/StaffPublicRelation.html" title="class in staff">StaffPublicRelation</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i36">
<td class="colFirst"><a href="controller/StatisticsController.html" title="class in controller">StatisticsController</a></td>
<th class="colLast" scope="row">
<div class="block">Controller of the statistics of the application</div>
</th>
</tr>
<tr class="rowColor" id="i37">
<td class="colFirst"><a href="statistics/StatisticsReport.html" title="class in statistics">StatisticsReport</a></td>
<th class="colLast" scope="row">
<div class="block">Class for report the assistance statistics of the park</div>
</th>
</tr>
<tr class="altColor" id="i38">
<td class="colFirst"><a href="Test.html" title="class in &lt;Unnamed&gt;">Test</a></td>
<th class="colLast" scope="row">
<div class="block">Theme park application.</div>
</th>
</tr>
<tr class="rowColor" id="i39">
<td class="colFirst"><a href="ticket/Ticket.html" title="class in ticket">Ticket</a></td>
<th class="colLast" scope="row">
<div class="block">Main class for ticket types for access to park</div>
</th>
</tr>
<tr class="altColor" id="i40">
<td class="colFirst"><a href="controller/TicketAddController.html" title="class in controller">TicketAddController</a></td>
<th class="colLast" scope="row">
<div class="block">Controller of actions for new issuance of tickets</div>
</th>
</tr>
<tr class="rowColor" id="i41">
<td class="colFirst"><a href="ticket/TicketAfternoon.html" title="class in ticket">TicketAfternoon</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i42">
<td class="colFirst"><a href="controller/TicketController.html" title="class in controller">TicketController</a></td>
<th class="colLast" scope="row">
<div class="block">Controller of actions for the issuance of tickets to the park</div>
</th>
</tr>
<tr class="rowColor" id="i43">
<td class="colFirst"><a href="ticket/TicketFamily.html" title="class in ticket">TicketFamily</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i44">
<td class="colFirst"><a href="ticket/TicketGeneral.html" title="class in ticket">TicketGeneral</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i45">
<td class="colFirst"><a href="ticket/TicketLaborable.html" title="class in ticket">TicketLaborable</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i46">
<td class="colFirst"><a href="controller/TicketTypeController.html" title="class in controller">TicketTypeController</a></td>
<th class="colLast" scope="row">
<div class="block">Controller for request and change basic ticket type</div>
</th>
</tr>
<tr class="rowColor" id="i47">
<td class="colFirst"><a href="tools/Utilities.html" title="class in tools">Utilities</a></td>
<th class="colLast" scope="row">
<div class="block">Tools Library.</div>
</th>
</tr>
</tbody>
</table>
</div>
</div>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
